import { FunctionalComponent } from "../stencil.core";
export declare type ButtonVariants = "primary" | "secondary";
export declare type ButtonStates = "enabled" | "disabled";
export declare type IconName = {
    [key: string]: (props: any) => FunctionalComponent;
};
export declare enum HeadingVarians {
    default = "h1",
    h2 = "h2",
    h3 = "h3",
    h4 = "h4",
    h5 = "h5",
    h6 = "h6"
}
export declare enum HeadingSectionVariants {
    default = "default",
    subSection = "subsection"
}
export declare enum LinkVariants {
    default = "default",
    paragraph = "within-paragraph"
}
export declare enum GridColumnsSm {
    columnsSm1 = "1",
    columnsSm2 = "2",
    columnsSm3 = "3",
    columnsSm4 = "4",
    columnsSm5 = "5",
    columnsSm6 = "6",
    columnsSm7 = "7",
    columnsSm8 = "8",
    columnsSm9 = "9",
    columnsSm10 = "10",
    columnsSm11 = "11",
    columnsSm12 = "12",
    default = "12"
}
export declare enum GridColumns {
    columns1 = "1",
    columns2 = "2",
    columns3 = "3",
    columns4 = "4",
    columns5 = "5",
    columns6 = "6",
    columns7 = "7",
    columns8 = "8",
    columns9 = "9",
    columns10 = "10",
    columns11 = "11",
    columns12 = "12",
    default = "12"
}
export declare enum GridColumnsLg {
    columnsLg1 = "1",
    columnsLg2 = "2",
    columnsLg3 = "3",
    columnsLg4 = "4",
    columnsLg5 = "5",
    columnsLg6 = "6",
    columnsLg7 = "7",
    columnsLg8 = "8",
    columnsLg9 = "9",
    columnsLg10 = "10",
    columnsLg11 = "11",
    columnsLg12 = "12",
    default = "12"
}
export declare enum GridAlignVariants {
    default = "left",
    right = "right",
    center = "center"
}
