import { Component, h } from '@stencil/core';

@Component({
  tag: 'hy-accordion-container',
  styleUrl: 'accordion-container.scss',
  shadow: false
})
export class AccordionContainer {
  render() {
    const classAttributes = ["hy-accordion-container", "js-hy-accordion"];

    return (
      <div class={classAttributes.join(" ")} data-allow-multiple="true">
        <slot></slot>
      </div>
    );
  }

}


